Subject: [bug#43249]

From: Brendan Tildesley <[email-masked]>
Date: Fri, 11 Sep 2020 18:18:21 +1000

On 10/9/20 11:22 pm, Ricardo Wurmus wrote:
> Brendan Tildesley <[email-masked]> writes:
>
>> I guess then we should patch wrap-program to add
>>
>> (when (wrapper? prog)
>>      (error (string-append prog " is a wrapper. Refusing to wrap.")))
> Should it really refuse to wrap or *add* its variables to the existing
> wrapper?
>
If there is a /bin/foo and /bin/.foo-real created by wrap-program, and 
we are to run another wrap-program phase, under what circumstances would 
it /not/ be a mistake to call (wrap-program "/bin/.foo-real") instead of 
(wrap-program "/bin/foo")? And if the first one was called, probably it 
was because find-files was used and the packager didn't realise it was 
happening, and therefore it will be double-wrapped, like gedit is.